<template>
  <transition name="modal">
    <div class="modal-mask" @click="closeEvent">
      <div class="modal-wrapper">
        <div class="modal-container">
          <BarChart :dataset="dataCollection" />
          <div class="modal-footer">
            <button class="btn btn-blue" @click="closeEvent">
              CLOSE
            </button>
          </div>
        </div>
      </div>
    </div>
  </transition>
</template>

<script>
import BarChart from '@/components/BarChart.vue'

export default{
  components: { BarChart },
  props: ['logs'],
  computed: {
    dataCollection () {
      let backgroundColor = Object.values(this.logs).map(() => {
        return "#3e95cd"
      })
      return {
        labels: Object.keys(this.logs),
        datasets: [
          {
            backgroundColor,
            data: Object.values(this.logs)
          }
        ]
      }
    }
  },
  methods: {
    closeEvent () {
      this.$emit('close')
    }
  }
}
</script>

<style scoped>
.modal-mask {
  position: fixed;
  z-index: 9998;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, .9);
  display: table;
  transition: opacity .3s ease;
}

.modal-wrapper {
  display: table-cell;
  vertical-align: middle;
}

.modal-container {
  text-align: center;
  width: 80%;
  margin: 0px auto;
  padding: 20px 30px;
  background-color: #fff;
  border-radius: 2px;
  box-shadow: 0 2px 8px rgba(0, 0, 0, .33);
  transition: all .3s ease;
  font-family: Helvetica, Arial, sans-serif;
}
</style>
